Skip to main content
GET
/
revenue
/
accounting
Accounting periods
curl --request GET \
  --url https://api.billing.io/v1/revenue/accounting \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "period": "<string>",
      "gross_revenue": 123,
      "refunds": 123,
      "adjustments_credit": 123,
      "adjustments_debit": 123,
      "chargebacks": 123,
      "net_revenue": 123
    }
  ]
}
Get revenue accounting periods with gross, net, and adjustment breakdowns.
curl "https://api.billing.io/v1/revenue/accounting?period=monthly" \
  -H "Authorization: Bearer $BILLING_API_KEY"
Response
{
  "data": [
    {
      "period": "2025-01",
      "gross_revenue": 12500.00,
      "refunds": 200.00,
      "adjustments_credit": 50.00,
      "adjustments_debit": 0,
      "chargebacks": 0,
      "net_revenue": 12250.00
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Query Parameters

period
enum<string>
default:monthly

Aggregation period

Available options:
monthly,
weekly

Response

Accounting period list

data
object[]